Skip to main content

Signup a Customer by Linking to an Existing Organization

POST 

/partner/v2/signup/link

Early Access Request Access To Partner v2

Signup a customer by linking a new entitlement to an existing Confluent Cloud organization.

Request

Responses

Successful signup.

OpenAPI definition (YAML)
paths:
  /partner/v2/signup/link:
    post:
      description: '[![Early Access](https://img.shields.io/badge/Lifecycle%20Stage-Early%20Access-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)
        [![Request Access To Partner v2](https://img.shields.io/badge/-Request%20Access%20To%20Partner%20v2-%23bc8540)](mailto:ccloud-api-access+partner-v2-early-access@confluent.io?subject=Request%20to%20join%20partner/v2%20API%20Early%20Access&body=I%E2%80%99d%20like%20to%20join%20the%20Confluent%20Cloud%20API%20Early%20Access%20for%20partner/v2%20to%20provide%20early%20feedback%21%20My%20Cloud%20Organization%20ID%20is%20%3Cretrieve%20from%20https%3A//confluent.cloud/settings/billing/payment%3E.)


        Signup a customer by linking a new entitlement to an existing Confluent Cloud organization.'
      parameters:
      - name: dry_run
        in: query
        required: false
        schema:
          type: boolean
        description: If true, only perform validation of signup
      requestBody:
        description: A JSON object containing signup information
        content:
          application/json:
            schema:
              type: object
              description: The partner linking request
              required:
              - token
              - organization
              - entitlement
              properties:
                token:
                  type: string
                  description: The linking token that was generated.
                  example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
                  x-redact: true
                organization:
                  allOf:
                  - type: object
                    description: '`Organizations` objects represent an entire Confluent Cloud organization.'
                    properties:
                      name:
                        type: string
                        description: The name of the organization
                        example: Acme Organization
                        pattern: ^[^<>#%'*^`{|}~\"]{1,31}$
                      sso_config:
                        oneOf:
                        - type: object
                          required:
                          - kind
                          - tenant_id
                          properties:
                            kind:
                              type: string
                              example: AzureSSOConfig
                            tenant_id:
                              type: string
                              example: b3a17773-05cc-4431-9560-433fb4613da8
                              description: The Azure AD tenant ID
                          title: AzureSSOConfig
                        discriminator:
                          propertyName: kind
                    additionalProperties: false
                    title: partner.v2.Organization
                  - required:
                    - sso_config
                entitlement:
                  oneOf:
                  - allOf:
                    - type: object
                      description: '`Entitlement` objects represent metadata about a marketplace entitlement.'
                      properties:
                        external_id:
                          type: string
                          description: The unique external ID of the entitlement (this should be unique
                            to customer)
                          example: 1111-2222-3333-4444
                        name:
                          type: string
                          description: The name of the entitlement
                          example: Acme Prod Entitlement
                        plan_id:
                          type: string
                          description: The plan ID the entitlement
                          example: confluent-cloud-payg-prod
                          enum:
                          - confluent-cloud-payg-prod
                          - payg-prod.gcpmarketplace.confluent.cloud
                        product_id:
                          type: string
                          description: The product ID of the entitlement
                          example: confluent-cloud-kafka-service-azure
                          enum:
                          - confluent-cloud-kafka-service-azure
                          - confluent-cloud-for-apache-kafka
                          - payg-prod.gcpmarketplace.confluent.cloud
                        usage_reporting_id:
                          type: string
                          description: 'The usage reporting ID of the entitlement (if usage reporting
                            uses

                            a different ID, otherwise, same as external_id)

                            '
                          example: 1111-2222-3333-4444
                        resource_id:
                          type: string
                          description: The resource ID of the entitlement
                          example: 1111-2222-3333-4444
                        organization:
                          allOf:
                          - type: object
                            description: ObjectReference provides information for you to locate the referred
                              object
                            required:
                            - id
                            properties:
                              id:
                                type: string
                                description: ID of the referred resource
                                minLength: 1
                                maxLength: 255
                              environment:
                                type: string
                                description: Environment of the referred resource, if env-scoped
                                minLength: 1
                                maxLength: 255
                            title: ObjectReference
                          - required:
                            - related
                          description: The organization associated with this object.
                      additionalProperties: false
                      title: partner.v2.Entitlement
                    - required:
                      - external_id
                      - name
                      - plan_id
                      - product_id
                  - allOf:
                    - type: object
                      description: ObjectReference provides information for you to locate the referred
                        object
                      required:
                      - id
                      properties:
                        id:
                          type: string
                          description: ID of the referred resource
                          minLength: 1
                          maxLength: 255
                        environment:
                          type: string
                          description: Environment of the referred resource, if env-scoped
                          minLength: 1
                          maxLength: 255
                      title: ObjectReference
                    - required:
                      - related
              title: PartnerLinkRequest
      x-lifecycle-stage: Early Access
      operationId: signupPartnerV2Link
      tags:
      - Signup (partner/v2)
      security:
      - oauth:
        - partner:create
      responses:
        '201':
          description: Successful signup.
          content:
            application/json:
              schema:
                type: object
                description: The partner signup response
                required:
                - organization_id
                - sso_url
                properties:
                  organization_id:
                    type: string
                    description: The ID of the organization
                    example: b3a17773-05cc-4431-9560-433fb4613da8
                  sso_url:
                    type: string
                    format: uri
                    description: The login URL for the customer to access Confluent Cloud
                    example: https://confluent.cloud/login/sso/AzureAD-OIDC-Conn
                  display_message:
                    type: string
                    description: The display message contains useful information which is shown on the
                      Marketplace UI to the customers.
                    example: Your support plan will remain the same, to change the plan, follow this [link](https://docs.confluent.io/cloud/current/faq.html#how-do-i-change-support-plans).
                title: PartnerSignupResponse
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '409':
          x-summary: Conflict
          description: The request is in conflict with the current server state
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            Location:
              schema:
                type: string
                format: uri
                example: https://api.confluent.cloud/{object}/{id}
              description: Resource URI of conflicting resource
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '409'
                  code: resource_already_exists
                  title: Resource Already exists
                  detail: The entitlement '91e3e86f-fca6-4f14-98f5-a48e64113ce2' already exists.
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API
      jsonRequestBodyExample:
        token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
        organization:
          name: Acme Organization
          sso_config:
            kind: AzureSSOConfig
            tenant_id: b3a17773-05cc-4431-9560-433fb4613da8
        entitlement:
          external_id: 1111-2222-3333-4444
          name: Acme Prod Entitlement
          plan_id: confluent-cloud-payg-prod
          product_id: confluent-cloud-kafka-service-azure
          usage_reporting_id: 1111-2222-3333-4444
          resource_id: 1111-2222-3333-4444
          organization:
            id: string
            environment: string